質問箱/2464

カテゴリ
サマリ[I18N] Unicode(UTF-8) encodingを適用するときの問題
バージョン1.4.4
投稿者kenchanayo?
状態完了
投稿日2004-12-03 (金) 21:45:55

質問

こんにちは PukiWikiの韓国語化を進めているジュヒョンです。 init.php, skinファイルのsettingを変えて韓国語化している途中 問題がおきました。encodingはUTF-8でやっています。

下は新規メニューのリンクなんですが これが正しく動作していません。 http://www.joohyun.net/pukiwiki/pukiwiki.php?plugin=newpage&refer=FrontPage

それから 下は検索のページなんですが、 これはtext input formが表しません。 http://www.joohyun.net/pukiwiki/pukiwiki.php?cmd=search

しかし、Mozilla FireFoxでは上の問題ら全部正しく動作しています。
たぶんUTF-8 incodingを適用するときの問題だと思うんですが・・・。
どうしたらいいでしょうか。
この問題が解決できたら、すぐに1.4.4バージョンのリーリーズもできると思います。

回答

  • こんにちは :) お疲れ様です。下の検索ページは、 encodie_hint の値がおかしいようです。ご確認ください。 -- henoheno 2004-12-03 (金) 22:40:21
  • input formの件は、encode_hintの設定ではないでしょうか。 -- teanan 2004-12-03 (金) 22:41:07
  • 上のnewpageも、原因は同じようです。 Probably both have the same problem of the value of "encode_hint" (lib/plugin.php, sorry but still hard-wired) -- henoheno 2004-12-03 (金) 22:41:23
    • あら、かぶりました (^^; -- teanan 2004-12-03 (金) 22:41:38
  • お、teananさんこんばんは ;) -- henoheno 2004-12-03 (金) 22:41:47
  • それと PukiWiki ですが、現在は PHP5 に対応した 1.4.4_php5 をリリースしていますので、こちらもチェックしてみて下さい。1.4.4_php5 release runs on PHP4 and also PHP5! -- henoheno 2004-12-03 (金) 22:42:57
  • And, please check http://pukiwiki.sourceforge.jp/index.php?PukiWiki%2FErrata for XSS vulnerability of color plugin. -- henoheno 2004-12-03 (金) 22:49:04
  • お答えありがとうございます。英語でも説明していただいて大変役に立ちました。素早く対応してくださってありがとうございます。1.4.4_php5もチェックします。 -- kenchanayo? 2004-12-03 (金) 23:07:08
  • そういえばこの件はうまく行った様ですので、完了にしておきます :) -- henoheno 2005-01-31 (月) 22:06:47


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2008-10-15 (水) 13:34:47
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u7. HTML convert time: 0.211 sec.

OSDN